IntersectionTest (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Class IntersectionTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.bbn.openmap.geo.IntersectionTest

All Implemented Interfaces:
  junit.framework.Test

    public class IntersectionTest

extends junit.framework.TestCase

Constructor Summary
`IntersectionTest()`

Method Summary
`double[]` | `swap(double[] input)`
`void` | `testIsPointInPolygonGeoGeoArrayBoolean()`
`void` | `testIsSelfIntersectingPoly()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntersectionTest

    public IntersectionTest()

Method Detail

### swap

    public double[] swap(double[] input)

### testIsSelfIntersectingPoly

    public void testIsSelfIntersectingPoly()

### testIsPointInPolygonGeoGeoArrayBoolean

    public void testIsPointInPolygonGeoGeoArrayBoolean()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details